# Class Mapper.MappedContext

java.lang.Object
org.apache.catalina.mapper.Mapper.MapElement<Void>
org.apache.catalina.mapper.Mapper.MappedContext

Enclosing class:
  `Mapper`

protected static final class Mapper.MappedContext extends Mapper.MapElement<Void>
Represents a mapped context.

## Field Summary

Fields
Modifier and Type
Field
Description
`Mapper.ContextVersion[]`
`versions`
The versions of the context.

### Fields inherited from class Mapper.MapElement

`name, object`

## Constructor Summary

Constructors
Constructor
Description
`MappedContext(String name, Mapper.ContextVersion firstVersion)`
Constructor.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### versions

public volatile Mapper.ContextVersion[] versions
The versions of the context.

## Constructor Details

### MappedContext

public MappedContext(String name, Mapper.ContextVersion firstVersion)
Constructor.

Parameters:
  `name` - The name of the context
  `firstVersion` - The first version